Bug 1718541 - [4.1] Random outages with egressIP
Summary: [4.1] Random outages with egressIP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.11.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.1.z
Assignee: Dan Winship
QA Contact: zhaozhanqi
URL:
Whiteboard: 4.1.4
Depends On: 1717639
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-08 12:51 UTC by Dan Winship
Modified: 2019-07-04 09:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: If a pod using an egress IP tries to contact an external host that is not responding, the egress IP monitoring code may mistakenly interpret that as meaning that the node hosting the egress IP is not responding. Consequence: High-availability egress IPs might get switched from one node to another spuriously. Fix: The monitoring code now distinguishes the case of "egress node not responding" from "final destination not responding" Result: High-availability egress IPs will not be switched between nodes unnecessarily.
Clone Of: 1717639
Environment:
Last Closed: 2019-07-04 09:01:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 23096 None closed Bug 1718541: Fix egress monitoring for some rare corner cases [4.1] 2020-06-24 13:40:41 UTC
Red Hat Product Errata RHBA-2019:1635 None None None 2019-07-04 09:01:33 UTC

Comment 2 zhaozhanqi 2019-06-27 09:07:45 UTC
Verified this bug on 4.1.0-0.nightly-2019-06-26-044128 with steps https://bugzilla.redhat.com/show_bug.cgi?id=1717639#c19

Comment 4 errata-xmlrpc 2019-07-04 09:01:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1635


Note You need to log in before you can comment on or make changes to this bug.